as.argo {oce} | R Documentation

## Coerce Data Into an Argo Dataset

### Description

Coerce a dataset into an argo dataset. This is not the right way to read official argo datasets, which are provided in NetCDF format and may be read with `read.argo`.

### Usage

    as.argo(time, longitude, latitude, salinity, temperature, pressure,
      units = NULL, id, filename = "", missingValue)

### Arguments

`time` | vector of POSIXct times.
`longitude` | vector of longitudes.
`latitude` | vector of latitudes.
`salinity` | vector of salinities.
`temperature` | vector of temperatures.
`pressure` | vector of pressures.
`units` | optional list containing units. If `NULL`, the default, then `"degree east"` is used for `longitude`, `"degree north"` for `latitude`, `""` for `salinity`, `"ITS-90"` for `temperature`, and `"dbar"` for `pressure`.
`id` | identifier.
`filename` | source filename.
`missingValue` | Optional missing value, indicating data values that should be taken as `NA`.

### Value

An object of `argo-class`.

### Author(s)

Dan Kelley

### See Also

The documentation for `argo-class` explains the structure of argo objects, and also outlines the other functions dealing with them.

Other things related to `argo` data: `[[,argo-method`, `[[<-,argo-method`, `argo-class`, `argoGrid`, `argoNames2oceNames`, `argo`, `handleFlags,argo-method`, `plot,argo-method`, `read.argo`, `subset,argo-method`, `summary,argo-method`

[Package oce version 0.9-22 Index]